wiki:Installation/CentOS

Version 4 (modified by MarcusWalther, 12 years ago) (diff)

--

Prerequisities for installation on CentOS systems

Error: Failed to load processor NewsFlash
No macro or processor named 'NewsFlash' found

Please be sure that you have the following packages installed:

  • gcc
  • tcsh
  • nedit
  • imake
  • xterm
  • openmotif-devel
  • libXpm-devel

Using yum you can install all necessary packages by running:

yum install gcc tcsh nedit imake xterm openmotif-devel libXpm-devel

Now proceed with download and installation of SH/SHM.

Known issues

  • CentOS 4 & 5 ship python version 2.4 by default and there's no regular update available. All python related functions of SH/SHM may not work, since it's only tested for python 2.5 and above.